<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-acknowledgements.qdoc -->
  <title>Acknowledgements | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Acknowledgements</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="technical-support.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="technical-support.html">Technical Support</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#credits">Credits</a></li>
<li class="level1"><a href="#third-party-components">Third-party Components</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Acknowledgements</h1>
<span class="subtitle"></span>
<!-- $$$creator-acknowledgements.html-description -->
<div class="descr"> <a name="details"></a>
<a name="credits"></a>
<h2 id="credits">Credits</h2>
<p>We would like to thank our contributors, who are listed in the Qt Creator <a href="https://code.qt.io/cgit/qt-creator/qt-creator.git/tree/dist">change logs</a> for each release.</p>
<a name="third-party-components"></a>
<h2 id="third-party-components">Third-party Components</h2>
<p>Qt Creator contains the following third-party components:</p>
<ul>
<li><b>YAML Parser yaml-cpp (MIT License)</b><p><a href="https://github.com/jbeder/yaml-cpp">https://github.com/jbeder/yaml-cpp</a></p>
<p>QtCreator/src/libs/3rdparty/yaml-cpp</p>
<p>Copyright (c) 2008-2015 Jesse Beder.</p>
<p>Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:</p>
<p>The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.</p>
<p>THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.</p>
</li>
<li><b>Syntax highlighting engine for Kate syntax definitions</b><p>This is a stand-alone implementation of the Kate syntax highlighting engine. It's meant as a building block for text editors as well as for simple highlighted text rendering (e.g&#x2e; as HTML), supporting both integration with a custom editor as well as a ready-to-use <a href="http://doc.qt.io/qt-5/qsyntaxhighlighter.html">QSyntaxHighlighter</a> sub-class.</p>
<p>Distributed under the:</p>
<pre class="cpp">

  MIT License

  Permission is hereby granted<span class="operator">,</span> free of charge<span class="operator">,</span> to any person obtaining
  a copy of <span class="keyword">this</span> software and associated documentation files (the
  <span class="string">&quot;Software&quot;</span>)<span class="operator">,</span> to deal in the Software without restriction<span class="operator">,</span> including
  without limitation the rights to use<span class="operator">,</span> copy<span class="operator">,</span> modify<span class="operator">,</span> merge<span class="operator">,</span> publish<span class="operator">,</span>
  distribute<span class="operator">,</span> sublicense<span class="operator">,</span> and<span class="operator">/</span><span class="keyword">or</span> sell copies of the Software<span class="operator">,</span> and to
  permit persons to whom the Software is furnished to <span class="keyword">do</span> so<span class="operator">,</span> subject to
  the following conditions:

  The above copyright notice and <span class="keyword">this</span> permission notice shall be included
  in all copies <span class="keyword">or</span> substantial portions of the Software<span class="operator">.</span>

  THE SOFTWARE IS PROVIDED <span class="string">&quot;AS IS&quot;</span><span class="operator">,</span> WITHOUT WARRANTY OF ANY KIND<span class="operator">,</span>
  EXPRESS OR IMPLIED<span class="operator">,</span> INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
  MERCHANTABILITY<span class="operator">,</span> FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT<span class="operator">.</span>
  IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY
  CLAIM<span class="operator">,</span> DAMAGES OR OTHER LIABILITY<span class="operator">,</span> WHETHER IN AN ACTION OF CONTRACT<span class="operator">,</span>
  TORT OR OTHERWISE<span class="operator">,</span> ARISING FROM<span class="operator">,</span> OUT OF OR IN CONNECTION WITH THE
  SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE<span class="operator">.</span>

</pre>
<p>The source code of KSyntaxHighlighting can be found here:</p>
<ul>
<li><a href="https://cgit.kde.org/syntax-highlighting.git">https://cgit.kde.org/syntax-highlighting.git</a></li>
<li>QtCreator/src/libs/3rdparty/syntax-highlighting</li>
<li><a href="https://code.qt.io/cgit/qt-creator/qt-creator.git/tree/src/libs/3rdparty/syntax-highlighting">https://code.qt.io/cgit/qt-creator/qt-creator.git/tree/src/libs/3rdparty/syntax-highlighting</a></li>
</ul>
</li>
<li><b>Clazy</b><p><a href="https://github.com/KDE/clazy">https://github.com/KDE/clazy</a></p>
<p>Copyright (C) 2015-2019 Clazy Team</p>
<p>Distributed under the <a href="https://www.gnu.org/licenses/old-licenses/lgpl-2.0.html">GNU LIBRARY GENERAL PUBLIC LICENSE Version 2 (LGPL2)</a>.</p>
<p>Integrated with patches from</p>
<ul>
<li><a href="http://code.qt.io/cgit/clang/clang-tools-extra.git">http://code.qt.io/cgit/clang/clang-tools-extra.git</a></li>
</ul>
</li>
<li><b>LLVM/Clang</b><ul>
<li><a href="http://llvm.org/svn/llvm-project/llvm">http://llvm.org/svn/llvm-project/llvm</a></li>
<li><a href="http://llvm.org/svn/llvm-project/cfe/trunk">http://llvm.org/svn/llvm-project/cfe/trunk</a></li>
<li><a href="http://llvm.org/svn/llvm-project/clang-tools-extra/trunk">http://llvm.org/svn/llvm-project/clang-tools-extra/trunk</a></li>
</ul>
<p>Copyright (C) 2003-2019 LLVM Team</p>
<p>Distributed under the <a href="https://github.com/llvm-mirror/llvm/blob/master/LICENSE.TXT">University of Illinois/NCSA Open Source License (NCSA)</a>.</p>
<p>With backported/additional patches from</p>
<ul>
<li><a href="http://code.qt.io/cgit/clang/llvm.git">http://code.qt.io/cgit/clang/llvm.git</a></li>
<li><a href="http://code.qt.io/cgit/clang/clang.git">http://code.qt.io/cgit/clang/clang.git</a></li>
</ul>
</li>
<li><b>Reference implementation for std::experimental::optional</b><p>Copyright (C) 2011-2012 Andrzej Krzemienski</p>
<p>Distributed under the <a href="http://boost.org/LICENSE_1_0.txt">Boost Software License, Version 1.0</a>. (See accompanying file LICENSE_1_0.txt)</p>
<p>The idea and interface is based on Boost.Optional library authored by Fernando Luis Cacciola Carballal</p>
<p>The source code of std::experimental::optional can be found here:</p>
<ul>
<li><a href="https://github.com/akrzemi1/Optional">https://github.com/akrzemi1/Optional</a></li>
<li>QtCreator/src/libs/3rdparty/optional</li>
<li><a href="https://code.qt.io/cgit/qt-creator/qt-creator.git/tree/src/libs/3rdparty/optional">https://code.qt.io/cgit/qt-creator/qt-creator.git/tree/src/libs/3rdparty/optional</a></li>
</ul>
</li>
<li><b>Implementation for std::variant</b><p>Copyright Michael Park, 2015-2017</p>
<p>Distributed under the <a href="http://boost.org/LICENSE_1_0.txt">Boost Software License, Version 1.0</a>. (See accompanying file LICENSE.md.)</p>
<p>The source code can be found here:</p>
<ul>
<li><a href="https://github.com/mpark/variant">https://github.com/mpark/variant</a></li>
<li>QtCreator/src/libs/3rdparty/variant</li>
<li><a href="https://code.qt.io/cgit/qt-creator/qt-creator.git/tree/src/libs/3rdparty/variant">https://code.qt.io/cgit/qt-creator/qt-creator.git/tree/src/libs/3rdparty/variant</a></li>
</ul>
</li>
<li><b>Open Source front-end for C++ (license MIT)</b>, enhanced for use in Qt Creator.<br />
 Roberto Raggi &lt;roberto.raggi@gmail.com&gt;<br />
 QtCreator/src/shared/cplusplus<br />
<br />
</li>
<li><b>ANGLE Library (Windows)</b><p>Used on Windows to implement OpenGL ES on top of DirectX.</p>
<p>The source code of ANGLE is part of the Qt libraries. For more information about the licenses used in Qt GUI, see <a href="https://doc.qt.io/qt-5.11/licenses-used-in-qt.html#qt-gui">Qt GUI</a>.</p>
<p><a href="https://spdx.org/licenses/BSD-3-Clause.html">BSD 3-clause &quot;New&quot; or &quot;Revised&quot; License</a></p>
<pre class="cpp">

  Copyright (C) <span class="number">2002</span><span class="operator">-</span><span class="number">2013</span> The ANGLE Project Authors<span class="operator">.</span>
  All rights reserved<span class="operator">.</span>

  Redistribution and use in source and binary forms<span class="operator">,</span> with <span class="keyword">or</span> without
  modification<span class="operator">,</span> are permitted provided that the following conditions
  are met:

      Redistributions of source code must retain the above copyright
      notice<span class="operator">,</span> <span class="keyword">this</span> list of conditions and the following disclaimer<span class="operator">.</span>

      Redistributions in binary form must reproduce the above
      copyright notice<span class="operator">,</span> <span class="keyword">this</span> list of conditions and the following
      disclaimer in the documentation and<span class="operator">/</span><span class="keyword">or</span> other materials provided
      with the distribution<span class="operator">.</span>

      Neither the name of TransGaming Inc<span class="operator">.</span><span class="operator">,</span> Google Inc<span class="operator">.</span><span class="operator">,</span> <span class="number">3DLabs</span> Inc<span class="operator">.</span>
      Ltd<span class="operator">.</span><span class="operator">,</span> nor the names of their contributors may be used to endorse
      <span class="keyword">or</span> promote products derived from <span class="keyword">this</span> software without specific
      prior written permission<span class="operator">.</span>

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  <span class="string">&quot;AS IS&quot;</span> AND ANY EXPRESS OR IMPLIED WARRANTIES<span class="operator">,</span> INCLUDING<span class="operator">,</span> BUT NOT
  LIMITED TO<span class="operator">,</span> THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
  FOR A PARTICULAR PURPOSE ARE DISCLAIMED<span class="operator">.</span> IN NO EVENT SHALL THE
  COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT<span class="operator">,</span> INDIRECT<span class="operator">,</span>
  INCIDENTAL<span class="operator">,</span> SPECIAL<span class="operator">,</span> EXEMPLARY<span class="operator">,</span> OR CONSEQUENTIAL DAMAGES (INCLUDING<span class="operator">,</span>
  BUT NOT LIMITED TO<span class="operator">,</span> PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
  LOSS OF USE<span class="operator">,</span> DATA<span class="operator">,</span> OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
  CAUSED AND ON ANY THEORY OF LIABILITY<span class="operator">,</span> WHETHER IN CONTRACT<span class="operator">,</span> STRICT
  LIABILITY<span class="operator">,</span> OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
  ANY WAY OUT OF THE USE OF THIS SOFTWARE<span class="operator">,</span> EVEN IF ADVISED OF THE
  POSSIBILITY OF SUCH DAMAGE<span class="operator">.</span>

</pre>
</li>
<li><b>ANGLE Array Bounds Clamper for WebKit (Windows)</b><p>Implements clamping of array indexing expressions during shader translation.</p>
<p>Used on Windows to implement OpenGL ES on top of DirectX. Configure with <code>-no-opengl</code>, or <code>-opengl desktop</code> to exclude.</p>
<p>The sources can be found in <code>qtbase/src/3rdparty/angle/src/third_party/compiler</code>.</p>
<p>BSD 2-clause &quot;Simplified&quot; License.</p>
<pre class="cpp">

  Copyright (C) <span class="number">2012</span> Apple Inc<span class="operator">.</span> All rights reserved<span class="operator">.</span>

  Redistribution and use in source and binary forms<span class="operator">,</span> with <span class="keyword">or</span> without
  modification<span class="operator">,</span> are permitted provided that the following conditions
  are met:
  <span class="number">1.</span> Redistributions of source code must retain the above copyright
     notice<span class="operator">,</span> <span class="keyword">this</span> list of conditions and the following disclaimer<span class="operator">.</span>
  <span class="number">2.</span> Redistributions in binary form must reproduce the above copyright
     notice<span class="operator">,</span> <span class="keyword">this</span> list of conditions and the following disclaimer in the
     documentation and<span class="operator">/</span><span class="keyword">or</span> other materials provided with the distribution<span class="operator">.</span>

  THIS SOFTWARE IS PROVIDED BY APPLE<span class="operator">,</span> INC<span class="operator">.</span> ``AS IS<span class="char">''</span> AND ANY
  EXPRESS OR IMPLIED WARRANTIES<span class="operator">,</span> INCLUDING<span class="operator">,</span> BUT NOT LIMITED TO<span class="operator">,</span> THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
  PURPOSE ARE DISCLAIMED<span class="operator">.</span>  IN NO EVENT SHALL APPLE<span class="operator">,</span> INC<span class="operator">.</span> OR
  CONTRIBUTORS BE LIABLE FOR ANY DIRECT<span class="operator">,</span> INDIRECT<span class="operator">,</span> INCIDENTAL<span class="operator">,</span> SPECIAL<span class="operator">,</span>
  EXEMPLARY<span class="operator">,</span> OR CONSEQUENTIAL DAMAGES (INCLUDING<span class="operator">,</span> BUT NOT LIMITED TO<span class="operator">,</span>
  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE<span class="operator">,</span> DATA<span class="operator">,</span> OR
  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
  OF LIABILITY<span class="operator">,</span> WHETHER IN CONTRACT<span class="operator">,</span> STRICT LIABILITY<span class="operator">,</span> OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  OF THIS SOFTWARE<span class="operator">,</span> EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE<span class="operator">.</span>

</pre>
</li>
<li><b>ANGLE: Murmurhash (Windows)</b><p>Used on Windows to implement OpenGL ES on top of DirectX. Configure with <code>-no-opengl</code>, or <code>-opengl desktop</code> to exclude.</p>
<p>The sources can be found in <code>qtbase/src/3rdparty/angle/src/third_party/murmurhash</code>.</p>
<pre class="cpp">

  MurmurHash3 was written by Austin Appleby<span class="operator">,</span> and is placed in the <span class="keyword">public</span>
  domain<span class="operator">.</span> The author hereby disclaims copyright to <span class="keyword">this</span> source code<span class="operator">.</span>

</pre>
<p>Public Domain.</p>
</li>
<li><b>ANGLE: Systeminfo (Windows)</b><p>Used on Windows to implement OpenGL ES on top of DirectX. Configure with <code>-no-opengl</code>, or <code>-opengl desktop</code> to exclude.</p>
<p>The sources can be found in <code>qtbase/src/3rdparty/angle/src/third_party/systeminfo</code>.</p>
<p>BSD 2-clause &quot;Simplified&quot; License.</p>
<pre class="cpp">

  Copyright (C) <span class="number">2009</span> Apple Inc<span class="operator">.</span> All Rights Reserved<span class="operator">.</span>

  Redistribution and use in source and binary forms<span class="operator">,</span> with <span class="keyword">or</span> without
  modification<span class="operator">,</span> are permitted provided that the following conditions
  are met:
  <span class="number">1.</span> Redistributions of source code must retain the above copyright
     notice<span class="operator">,</span> <span class="keyword">this</span> list of conditions and the following disclaimer<span class="operator">.</span>
  <span class="number">2.</span> Redistributions in binary form must reproduce the above copyright
     notice<span class="operator">,</span> <span class="keyword">this</span> list of conditions and the following disclaimer in the
     documentation and<span class="operator">/</span><span class="keyword">or</span> other materials provided with the distribution<span class="operator">.</span>

  THIS SOFTWARE IS PROVIDED BY APPLE INC<span class="operator">.</span> ``AS IS<span class="char">''</span> AND ANY
  EXPRESS OR IMPLIED WARRANTIES<span class="operator">,</span> INCLUDING<span class="operator">,</span> BUT NOT LIMITED TO<span class="operator">,</span> THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
  PURPOSE ARE DISCLAIMED<span class="operator">.</span>  IN NO EVENT SHALL APPLE INC<span class="operator">.</span> OR
  CONTRIBUTORS BE LIABLE FOR ANY DIRECT<span class="operator">,</span> INDIRECT<span class="operator">,</span> INCIDENTAL<span class="operator">,</span> SPECIAL<span class="operator">,</span>
  EXEMPLARY<span class="operator">,</span> OR CONSEQUENTIAL DAMAGES (INCLUDING<span class="operator">,</span> BUT NOT LIMITED TO<span class="operator">,</span>
  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE<span class="operator">,</span> DATA<span class="operator">,</span> OR
  PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY
  OF LIABILITY<span class="operator">,</span> WHETHER IN CONTRACT<span class="operator">,</span> STRICT LIABILITY<span class="operator">,</span> OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  OF THIS SOFTWARE<span class="operator">,</span> EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE<span class="operator">.</span>

</pre>
</li>
<li><b>ANGLE: trace_event (Windows)</b><p>Used on Windows to implement OpenGL ES on top of DirectX. Configure with <code>-no-opengl</code>, or <code>-opengl desktop</code> to exclude.</p>
<p>The sources can be found in <code>qtbase/src/3rdparty/angle/src/third_party/trace_event</code>.</p>
<p>BSD 3-clause &quot;New&quot; or &quot;Revised&quot; License.</p>
<pre class="cpp">

  Copyright <span class="number">2013</span> The Chromium Authors<span class="operator">.</span> All rights reserved<span class="operator">.</span>

  Redistribution and use in source and binary forms<span class="operator">,</span> with <span class="keyword">or</span> without
  modification<span class="operator">,</span> are permitted provided that the following conditions are
  met:

     <span class="operator">*</span> Redistributions of source code must retain the above copyright
  notice<span class="operator">,</span> <span class="keyword">this</span> list of conditions and the following disclaimer<span class="operator">.</span>
     <span class="operator">*</span> Redistributions in binary form must reproduce the above
  copyright notice<span class="operator">,</span> <span class="keyword">this</span> list of conditions and the following disclaimer
  in the documentation and<span class="operator">/</span><span class="keyword">or</span> other materials provided with the
  distribution<span class="operator">.</span>
     <span class="operator">*</span> Neither the name of Google Inc<span class="operator">.</span> nor the names of its
  contributors may be used to endorse <span class="keyword">or</span> promote products derived from
  <span class="keyword">this</span> software without specific prior written permission<span class="operator">.</span>

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
  <span class="string">&quot;AS IS&quot;</span> AND ANY EXPRESS OR IMPLIED WARRANTIES<span class="operator">,</span> INCLUDING<span class="operator">,</span> BUT NOT
  LIMITED TO<span class="operator">,</span> THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
  A PARTICULAR PURPOSE ARE DISCLAIMED<span class="operator">.</span> IN NO EVENT SHALL THE COPYRIGHT
  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT<span class="operator">,</span> INDIRECT<span class="operator">,</span> INCIDENTAL<span class="operator">,</span>
  SPECIAL<span class="operator">,</span> EXEMPLARY<span class="operator">,</span> OR CONSEQUENTIAL DAMAGES (INCLUDING<span class="operator">,</span> BUT NOT
  LIMITED TO<span class="operator">,</span> PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE<span class="operator">,</span>
  DATA<span class="operator">,</span> OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
  THEORY OF LIABILITY<span class="operator">,</span> WHETHER IN CONTRACT<span class="operator">,</span> STRICT LIABILITY<span class="operator">,</span> OR TORT
  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
  OF THIS SOFTWARE<span class="operator">,</span> EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE<span class="operator">.</span>

</pre>
</li>
<li><b>SQLite, an embedded database. Version 3.8&#x2e;10.2</b><br />
<br />
<p>The author or authors of this code dedicate any and all copyright interest in this code to the public domain. We make this dedication for the benefit of the public at large and to the detriment of our heirs and successors. We intend this dedication to be an overt act of relinquishment in perpetuity of all present and future rights to this code under copyright law.<br />
<br />
</p>
<p>The source code of SQLite library can be found here:</p>
<ul>
<li>QtCreator/src/libs/3rdparty/sqlite</li>
<li><a href="https://code.qt.io/cgit/qt-creator/qt-creator.git/tree/src/libs/3rdparty/sqlite">https://code.qt.io/cgit/qt-creator/qt-creator.git/tree/src/libs/3rdparty/sqlite</a></li>
</ul>
</li>
<li><b>three.js (license MIT)</b><br />
 Copyright (C) 2010-2015 three.js authors<br />
 share/qtcreator/templates/wizards/projects/qmake/qtcanvas3dapplication</li>
<li><b>OpenSSL toolkit. Version 1.0&#x2e;2j</b><p>The OpenSSL toolkit stays under a double license, i.e&#x2e; both the conditions of the OpenSSL License and the original SSLeay license apply to the toolkit. See below for the actual license texts.</p>
<pre class="cpp">

  OpenSSL License
  <span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span>

  Copyright (c) <span class="number">1998</span><span class="operator">-</span><span class="number">2018</span> The OpenSSL Project<span class="operator">.</span>  All rights reserved<span class="operator">.</span>

  Redistribution and use in source and binary forms<span class="operator">,</span> with <span class="keyword">or</span> without
  modification<span class="operator">,</span> are permitted provided that the following conditions
  are met:

  <span class="number">1.</span> Redistributions of source code must retain the above copyright
     notice<span class="operator">,</span> <span class="keyword">this</span> list of conditions and the following disclaimer<span class="operator">.</span>

  <span class="number">2.</span> Redistributions in binary form must reproduce the above copyright
     notice<span class="operator">,</span> <span class="keyword">this</span> list of conditions and the following disclaimer in
     the documentation and<span class="operator">/</span><span class="keyword">or</span> other materials provided with the
     distribution<span class="operator">.</span>

  <span class="number">3.</span> All advertising materials mentioning features <span class="keyword">or</span> use of <span class="keyword">this</span>
     software must display the following acknowledgment:
     <span class="string">&quot;This product includes software developed by the OpenSSL Project
     for use in the OpenSSL Toolkit. (http://www.openssl.org/)&quot;</span>

  <span class="number">4.</span> The names <span class="string">&quot;OpenSSL Toolkit&quot;</span> and <span class="string">&quot;OpenSSL Project&quot;</span> must <span class="keyword">not</span> be used to
     endorse <span class="keyword">or</span> promote products derived from <span class="keyword">this</span> software without
     prior written permission<span class="operator">.</span> For written permission<span class="operator">,</span> please contact
     openssl<span class="operator">-</span>core@openssl<span class="operator">.</span>org<span class="operator">.</span>

  <span class="number">5.</span> Products derived from <span class="keyword">this</span> software may <span class="keyword">not</span> be called <span class="string">&quot;OpenSSL&quot;</span>
     nor may <span class="string">&quot;OpenSSL&quot;</span> appear in their names without prior written
     permission of the OpenSSL Project<span class="operator">.</span>

  <span class="number">6.</span> Redistributions of any form whatsoever must retain the following
     acknowledgment:
     <span class="string">&quot;This product includes software developed by the OpenSSL Project
     for use in the OpenSSL Toolkit (http://www.openssl.org/)&quot;</span>

  THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS<span class="char">''</span> AND ANY
  EXPRESSED OR IMPLIED WARRANTIES<span class="operator">,</span> INCLUDING<span class="operator">,</span> BUT NOT LIMITED TO<span class="operator">,</span> THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
  PURPOSE ARE DISCLAIMED<span class="operator">.</span>  IN NO EVENT SHALL THE OpenSSL PROJECT OR
  ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT<span class="operator">,</span> INDIRECT<span class="operator">,</span> INCIDENTAL<span class="operator">,</span>
  SPECIAL<span class="operator">,</span> EXEMPLARY<span class="operator">,</span> OR CONSEQUENTIAL DAMAGES (INCLUDING<span class="operator">,</span> BUT
  NOT LIMITED TO<span class="operator">,</span> PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
  LOSS OF USE<span class="operator">,</span> DATA<span class="operator">,</span> OR PROFITS; OR BUSINESS INTERRUPTION)
  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY<span class="operator">,</span> WHETHER IN CONTRACT<span class="operator">,</span>
  STRICT LIABILITY<span class="operator">,</span> OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
  ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE<span class="operator">,</span> EVEN IF ADVISED
  OF THE POSSIBILITY OF SUCH DAMAGE<span class="operator">.</span>
  <span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span>

  This product includes cryptographic software written by Eric Young
  (eay@cryptsoft<span class="operator">.</span>com)<span class="operator">.</span>  This product includes software written by Tim
  Hudson (tjh@cryptsoft<span class="operator">.</span>com)<span class="operator">.</span>

  Original SSLeay License
  <span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span><span class="operator">=</span>

  Copyright (C) <span class="number">1995</span><span class="operator">-</span><span class="number">1998</span> Eric Young (eay@cryptsoft<span class="operator">.</span>com)
  All rights reserved<span class="operator">.</span>

  This package is an SSL implementation written
  by Eric Young (eay@cryptsoft<span class="operator">.</span>com)<span class="operator">.</span>
  The implementation was written so as to conform with Netscapes SSL<span class="operator">.</span>

  This library is free <span class="keyword">for</span> commercial and non<span class="operator">-</span>commercial use as <span class="type">long</span> as
  the following conditions are aheared to<span class="operator">.</span>  The following conditions
  apply to all code found in <span class="keyword">this</span> distribution<span class="operator">,</span> be it the RC4<span class="operator">,</span> RSA<span class="operator">,</span>
  lhash<span class="operator">,</span> DES<span class="operator">,</span> etc<span class="operator">.</span><span class="operator">,</span> code; <span class="keyword">not</span> just the SSL code<span class="operator">.</span>  The SSL documentation
  included with <span class="keyword">this</span> distribution is covered by the same copyright terms
  except that the holder is Tim Hudson (tjh@cryptsoft<span class="operator">.</span>com)<span class="operator">.</span>

  Copyright remains Eric Young<span class="char">'s, and as such any Copyright notices in
  the code are not to be removed.
  If this package is used in a product, Eric Young should be given attribution
  as the author of the parts of the library used.
  This can be in the form of a textual message at program startup or
  in documentation (online or textual) provided with the package.

  Redistribution and use in source and binary forms, with or without
  modification, are permitted provided that the following conditions
  are met:
  1. Redistributions of source code must retain the copyright
     notice, this list of conditions and the following disclaimer.
  2. Redistributions in binary form must reproduce the above copyright
     notice, this list of conditions and the following disclaimer in the
     documentation and/or other materials provided with the distribution.
  3. All advertising materials mentioning features or use of this software
     must display the following acknowledgement:
     &quot;This product includes cryptographic software written by
      Eric Young (eay@cryptsoft.com)&quot;
     The word '</span>cryptographic<span class="char">' can be left out if the rouines from the library
     being used are not cryptographic related :-).
  4. If you include any Windows specific code (or a derivative thereof) from
     the apps directory (application code) you must include an acknowledgement:
     &quot;This product includes software written by Tim Hudson (tjh@cryptsoft.com)&quot;

  THIS SOFTWARE IS PROVIDED BY ERIC YOUNG ``AS IS'</span><span class="char">' AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
  ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  SUCH DAMAGE.

  The licence and distribution terms for any publically available version or
  derivative of this code cannot be changed.  i.e. this code cannot simply be
  copied and put under another distribution licence
  [including the GNU Public Licence.]
  </span>

</pre>
</li>
<li><b>Mesa LLVMPipe, 3D graphics library</b><p>Mesa is a 3D graphics library with an API which is very similar to that of OpenGL. The llvmpipe software renderer enables the running of OpenGL applications without any hardware or driver support.</p>
<p>Mesa is shipped as part of the binary packages for Windows (opengl32sw.dll).</p>
<p><a href="https://spdx.org/licenses/MIT.html">MIT License</a>:</p>
<pre class="cpp">

  Copyright (C) <span class="number">1999</span><span class="operator">-</span><span class="number">2007</span>  Brian Paul   All Rights Reserved<span class="operator">.</span>

  Permission is hereby granted<span class="operator">,</span> free of charge<span class="operator">,</span> to any person obtaining a
  copy of <span class="keyword">this</span> software and associated documentation files (the <span class="string">&quot;Software&quot;</span>)<span class="operator">,</span>
  to deal in the Software without restriction<span class="operator">,</span> including without limitation
  the rights to use<span class="operator">,</span> copy<span class="operator">,</span> modify<span class="operator">,</span> merge<span class="operator">,</span> publish<span class="operator">,</span> distribute<span class="operator">,</span> sublicense<span class="operator">,</span>
  and<span class="operator">/</span><span class="keyword">or</span> sell copies of the Software<span class="operator">,</span> and to permit persons to whom the
  Software is furnished to <span class="keyword">do</span> so<span class="operator">,</span> subject to the following conditions:

  The above copyright notice and <span class="keyword">this</span> permission notice shall be included
  in all copies <span class="keyword">or</span> substantial portions of the Software<span class="operator">.</span>

  THE SOFTWARE IS PROVIDED <span class="string">&quot;AS IS&quot;</span><span class="operator">,</span> WITHOUT WARRANTY OF ANY KIND<span class="operator">,</span> EXPRESS
  OR IMPLIED<span class="operator">,</span> INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY<span class="operator">,</span>
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT<span class="operator">.</span>  IN NO EVENT SHALL
  BRIAN PAUL BE LIABLE FOR ANY CLAIM<span class="operator">,</span> DAMAGES OR OTHER LIABILITY<span class="operator">,</span> WHETHER IN
  AN ACTION OF CONTRACT<span class="operator">,</span> TORT OR OTHERWISE<span class="operator">,</span> ARISING FROM<span class="operator">,</span> OUT OF OR IN
  CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE<span class="operator">.</span>

</pre>
</li>
<li><b>JSON Library by Niels Lohmann</b><p>Used by the Chrome Trace Format Visualizer plugin instead of QJson because of QJson's current hard limit of 128 Mb object size and trace files often being much larger.</p>
<p>The sources can be found in <code>QtCreator/src/libs/3rdparty/json</code>.</p>
<p>The class is licensed under the MIT License:</p>
<p>Copyright (C) 2013-2019 Niels Lohmann</p>
<pre class="cpp">

  Permission is hereby granted<span class="operator">,</span> free of charge<span class="operator">,</span> to any person obtaining a
  copy of <span class="keyword">this</span> software and associated documentation files (the <span class="string">&quot;Software&quot;</span>)<span class="operator">,</span> to
  deal in the Software without restriction<span class="operator">,</span> including without limitation the
  rights to use<span class="operator">,</span> copy<span class="operator">,</span> modify<span class="operator">,</span> merge<span class="operator">,</span> publish<span class="operator">,</span> distribute<span class="operator">,</span> sublicense<span class="operator">,</span> and<span class="operator">/</span><span class="keyword">or</span> sell
  copies of the Software<span class="operator">,</span> and to permit persons to whom the Software is furnished
  to <span class="keyword">do</span> so<span class="operator">,</span> subject to the following conditions:

  The above copyright notice and <span class="keyword">this</span> permission notice shall be included
  in all copies <span class="keyword">or</span> substantial portions of the Software<span class="operator">.</span>

  THE SOFTWARE IS PROVIDED <span class="string">&quot;AS IS&quot;</span><span class="operator">,</span> WITHOUT WARRANTY OF ANY KIND<span class="operator">,</span> EXPRESS
  OR IMPLIED<span class="operator">,</span> INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY<span class="operator">,</span>
  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT<span class="operator">.</span> IN NO EVENT SHALL THE
  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM<span class="operator">,</span> DAMAGES OR OTHER
  LIABILITY<span class="operator">,</span> WHETHER IN AN ACTION OF CONTRACT<span class="operator">,</span> TORT OR OTHERWISE<span class="operator">,</span> ARISING FROM<span class="operator">,</span>
  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
  SOFTWARE<span class="operator">.</span>

</pre>
<p>The class contains the UTF-8 Decoder from Bjoern Hoehrmann which is licensed under the MIT License (see above). Copyright (C) 2008-2009 Bjoern Hoehrmann &lt;bjoern@hoehrmann.de&gt;</p>
<p>The class contains a slightly modified version of the Grisu2 algorithm from Florian Loitsch which is licensed under the MIT License (see above). Copyright (C) 2009 Florian Loitsch</p>
</li>
</ul>
</div>
<!-- @@@creator-acknowledgements.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="technical-support.html">Technical Support</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
